DIR_ACT=`pwd`

NAME=$1;
echo "=== $NAME ===";

DIR_DATA=${DIR_ACT}/${NAME}_HMM;

BASE_NAME=${DIR_DATA}/${NAME};
TRAIN=${BASE_NAME}.train;
HELDOUT=${BASE_NAME}.heldout
TEST=${BASE_NAME}.test;
LAMDA_LEX=${BASE_NAME}.lambda.lex;
LAMDA_TRI=${BASE_NAME}.lambda.tri;
TAGGED_RESULT=${BASE_NAME}.tagged.result;
RESULT=${BASE_NAME}.result

echo "HMM - Copy files ${NAME}";
mkdir -p $DIR_DATA;
cp ${DIR_ACT}/${NAME}.train ${DIR_DATA}
cp ${DIR_ACT}/${NAME}.heldout ${DIR_DATA}
cp ${DIR_ACT}/${NAME}.test ${DIR_DATA}

echo "HMM - Run tagger ${NAME}";
${DIR_ACT}/hmm-tagger.pl ${TRAIN} ${HELDOUT} ${TEST} ${LAMBDA_LEX} ${LAMBDA_TRI} > ${TAGGED_RESULT}

echo "HMM - Evaluate ${NAME}";
${DIR_ACT}/eval.pl ${TEST} ${TAGGED_RESULT} | tee ${RESULT};

