#!/usr/bin/perl
use strict;
use warnings;
use utf8;
use Data::Dumper;

binmode STDIN, ':utf8';
binmode STDOUT, ':utf8';
binmode STDERR, ':utf8';

use lib "/home/martin/school/libs/perl";
use LM::NGramLangModel;
use LM::NGramStream;

my $file = $ARGV[0];
my $n = 2;

my $model = LM::NGramLangModel->new($n, $file);
	
#$model->filter(\&filter);

#$model->computeCounts();
$model->computeProbs(0);

=item
my @x = ("Hamburger", "SV");
print Data::Dumper->Dump([$model->{counts}{"Hamburger"}]);
print Data::Dumper->Dump([$model->{probs}{"Hamburger"}]);
print Data::Dumper->Dump([$model->{counts}{"SV"}]);
print Data::Dumper->Dump([$model->{probs}{"SV"}]);

my @a = ("Hamburger");
print "Hamburger: ", $model->getProb(\@a), "\t", $model->getCount(\@a), "\n";
my @b = ("SV");
print "SV: ", $model->getProb(\@b), "\t", $model->getCount(\@b), "\n";
print "Hamburger SV: ", $model->getProb(\@x), "\n";

exit;
=cut

my @nGrams = $model->getAllNGrams();

for my $nGram (@nGrams) { 
	my @w1 = ($nGram->[0]);
	my @w2 = ($nGram->[1]);
	if ( $model->getCount(\@w1) >= 10 && $model->getCount(\@w2) >= 10 ) {
		print join("\t", @{$nGram}), "\t", $model->getPointwiseMutualInformation($nGram), "\n";
	} 
}





sub filter { 
	my $count = shift;
	return $count < 10;
}